<?xml version="1.0" encoding="UTF-8"?>
<!--
  Created by IntelliJ IDEA.
  User: Joss
  Date: 02/05/2020
  Time: 17:32
-->
<!DOCTYPE html
        PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

<h:head>
    <title>Gestion utilisateur</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous"/>
    <h:outputScript library="default" name="js/jquery.js"></h:outputScript>
    <h:outputScript library="default" name="js/script.js"></h:outputScript>
</h:head>
<f:metadata>
    <f:viewAction action="#{gestionUserBean.initAdherents()}"/>
</f:metadata>
<h:body>
    <f:view>
        <h1><h:outputText value="Gestion des utilisateurs"/> </h1>

        <h:button outcome="home" value="Accueil"/>
        <h:button outcome="gestionCommande" value="Gestion des commande"/>
        <h:button outcome="autre" value="Autre"/>
        <br/>
        <br/>
        <h:outputText value="Saisissez les paramître suivant pour valider l'inscription"
            style="color:#0000FF; text-decoration: none"/>

    <br/> <br/>
        <h:form id="formulaire_inscription">
        <h:panelGrid columns="3" cellpadding="5">

                <f:facet name="header">Formulaire d'inscription</f:facet>

            <h:outputLabel value="Nom" for="nom"><span class="requis">*</span></h:outputLabel>
                    <h:inputText id="nom" value="#{gestionUserBean.nom}"
                                 required="true" requiredMessage="Le champs nom doit être saisie.">
                           <f:validateLength minimum="3" maximum="15"/>
                    </h:inputText>
                <h:message for="nom" id="msgNom" style="color: #FF0000"></h:message>

                <h:outputLabel value="Prénom" for="prenom"><span class="requis">*</span></h:outputLabel>
                <h:inputText id="prenom" value="#{gestionUserBean.prenom}">
                    <f:validateLength minimum="3"/>
                </h:inputText>
                <h:message for="prenom" id="msgPrenom" style="color: #FF0000"></h:message>


            <h:outputLabel value="Email" for="email"><span class="requis">*</span></h:outputLabel>
            <h:inputText id="email" value="#{gestionUserBean.email}"
                required="true" requiredMessage="Champs obligatoire"
                    validatorMessage="Vous devez saisir une adresse email"
                valueChangeListener="#{attEmailValueChangeListener.changeContenuEmail}">
                <f:validateRegex pattern="^[\w.+-]+@[\w.+-]+\.[a-z]{2,}$"/>
            </h:inputText>
            <h:message for="prenom" id="memail" style="color: #FF0000"></h:message>


                <h:outputLabel value="Date de naissance" for="dateNaissance"/>
                <h:inputText id="dateNaissance" value="#{gestionUserBean.dateNaissance}"
                             required="true"
                             requiredMessage="Le champs date de naissance est obligatoire."
                            validatorMessage="La valeur du champs est invalide"
                             converterMessage="Le champs doit être au format JJ/MM/YYYY">

                    <f:convertDateTime pattern="dd/MM/YYYY"/>
                </h:inputText>
                <h:message for="dateNaissance" id="msgDateNass" style="color: #FF0000"></h:message>

                <h:outputLabel value="Sexe" for="sexe"/>
               <h:selectOneRadio required="true" id="sexe" value="#{gestionUserBean.sexe}"
                                 requiredMessage="Vous devez sausir un sexe">
                   <f:selectItem id="sexeChoix1" itemLabel="Masculin" itemValue="homme"/>
                   <f:selectItem id="sexeChoix2" itemLabel="Féminin" itemValue="femme"/>
               </h:selectOneRadio>
                <h:message for="sexe" id="msgSexe" style="color: #FF0000"></h:message>


                <h:outputLabel value="Nombre d'enfant" for="nbrEnfant"/>
                <h:selectOneListbox id="nbrEnfant" size="1" value="#{gestionUserBean.nbrEnfant}">
                    <f:selectItem itemLabel="1" itemValue="1"/>
                    <f:selectItem itemLabel="2" itemValue="2"/>
                    <f:selectItem itemLabel="3" itemValue="3"/>
                    <f:selectItem itemLabel="4" itemValue="4"/>
                    <f:selectItem itemLabel="5" itemValue="5"/>
                </h:selectOneListbox>
                <h:message for="nbrEnfant" id="msgNbrEnf" style="color: #FF0000"></h:message>

                <f:facet name="footer">
                    <h:commandButton  action="#{gestionUserBean.executeInscrpition()}"
                                                         value="Valider l'inscription"/>
                    <h:messages globalOnly="true" infoClass="info" />
                </f:facet>

        </h:panelGrid>

        </h:form>

        <h2>Listing</h2>

        <h:dataTable value="#{gestionUserBean.listAdherents}" cellpadding="5" var="a">

            <h:column>
                <f:facet name="header">Index</f:facet>
                <h:outputText id="index" value="#{gestionUserBean.index + 1}" />
            </h:column>
            <h:column>
                <f:facet name="header">Nom</f:facet>
                <h:outputText id="lstNom" value="#{a.nom}" />
            </h:column>

            <h:column>
                <f:facet name="header">Prénom</f:facet>
                <h:outputText id="lstPrenom" value="#{a.prenom}" />
            </h:column>

            <h:column>
                <f:facet name="header">Date de naissance</f:facet>
                <h:outputText id="lstDateNaiss" value="#{a.dateNaissance}" />
            </h:column>

            <h:column>
                <f:facet name="header">Sexe</f:facet>
                <h:outputText id="lstSexe" value="#{a.sexe}" />
            </h:column>

            <h:column>
                <f:facet name="header">Enfant</f:facet>
                <h:outputText id="lstNbrEnf" value="#{a.nbrEnfant}" />
            </h:column>

            <h:column style="width:15%">
                <f:facet name="header">Modifier</f:facet>
                <h:button id="modifier" outcome="updateUser"  icon="ui-icon-disk" value="" title="Modifier">
                    <f:param name="index" value="#{index+1}" />
                    <f:param name="nom" value="#{a.nom}" />
                    <f:param name="prenom" value="#{a.prenom}" />
                    <f:param name="dateNaissance" value="#{a.dateNaissance}" />
                    <f:param name="sexe" value="#{a.sexe}" />
                    <f:param name="nbrEnfant" value="#{a.nbrEnfant}" />
                </h:button>
            </h:column>

            <h:column style="width:15%">
                <f:facet name="header">Supprimer</f:facet>
                <h:commandButton id="supprimer"  icon="ui-icon-closethick" value="" title="Supprimer">
                    <f:actionListener type="joss.fr.event.DelectAction"/>
                </h:commandButton>
            </h:column>

        </h:dataTable>
    </f:view>
</h:body>

</html>